### Method

# Ide SearchEngine search_finish

#### Declaration

    GListModel*
    ide_search_engine_search_finish (
      IdeSearchEngine* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_search_engine_search_async().

The result is a `GListModel` of `IdeSearchResult` when successful.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list model of `GObject`
| A `GListModel` of `IdeSearchResult` items.
| The caller of the method takes ownership of the data, and is responsible for freeing it.